Package twisted :: Package cred :: Module authorizer :: Class Authorizer

[show private | hide private]
[frames | no frames]

## Class Authorizer

    OriginalAccessor --+
                       |
                      Authorizer

Known Subclasses:
  `DefaultAuthorizer`, `ReflectorAuthorizer`, `DatabaseAuthorizer`, `MailsicleAuthorizer`

An interface to a set of identities.

Method Summary
| `__init__(self, serviceCollection)`
| `__delattr__(self, k)` (inherited from `OriginalAccessor`)
| `__getattr__(self, k)` (inherited from `OriginalAccessor`)
| `__setattr__(self, k, v)` (inherited from `OriginalAccessor`)
| ``addIdentity`(self, identity)` Create an identity and make a callback when it has been created.
| ``createIdentity`(self, name)` Create an identity of an appropriate type for this Authorizer.
| `get_application(self)`
| ``getIdentityRequest`(self, name)` Get an identity request, make the given callback when it's received.
| `getServiceNamed(self, name)`
| ``reallyDel`(self, k)` *actually* del self.k without incurring side-effects. (inherited from `OriginalAccessor`)
| ``reallySet`(self, k, v)` *actually* set self.k to v without incurring side-effects. (inherited from `OriginalAccessor`)
| `removeIdentity(self, identityName)`
| ``setApplication`(self, app)` Set the application for this authorizer.
| ``setServiceCollection`(self, collection)` Set the service collection for this authorizer.

Instance Variable Summary
`_AbstractServiceCollection<twisted.internet.app._AbstractServiceCollection>` | `serviceCollection` - The set of services that are using this authorizer.

Class Variable Summary
`identity.Identity` | `Identity` - The type of Identity that is created and managed by this authorizer.

Method Details

### addIdentity(self, identity)

Create an identity and make a callback when it has been created.

  Raises:
    `error.DuplicateIdentity` - There is already an identity by this name.

### createIdentity(self, name)

Create an identity of an appropriate type for this Authorizer.

This identity will not be saved! You must call its .save() method before it will be recognized by this authorizer.

### getIdentityRequest(self, name)

Get an identity request, make the given callback when it's received.

Override this to provide a method for retrieving identities than the hash provided by default. The method should return a Deferred.

Note that this is asynchronous specifically to provide support for authenticating users from a database.

### setApplication(self, app)

Set the application for this authorizer. DEPRECATED.

### setServiceCollection(self, collection)

Set the service collection for this authorizer.

Instance Variable Details

### serviceCollection

The set of services that are using this authorizer.

  Type:
    `_AbstractServiceCollection<twisted.internet.app._AbstractServiceCollection>`

Class Variable Details

### Identity

`Identity` = `twisted.cred.identity.Identity`

Generated by Epydoc 1.1 on Sat Feb 15 21:19:00 2003 | http://epydoc.sf.net